# /* About */
# /* $Id: about.inc,v 1.7 2001/09/23 10:21:03 izzy Exp $ */

[title]
Intro

[text]
If you've got too many DVDs and video tapes to handle, then you need a better
system! That's exactly why  phpVideoPro  was created. This program is all you'll
need to get your huge collection under control. It puts your information at your
fingertips.

[title]
History

[text]
PhpVideoPro was inspired by Bernd Rickers' VideoPro, which is available in a
DOS-based clipper application (latest release in 1994) as well as in a Windows
version (starting from about 1993 - this is now known as Video-5, see
<A HREF="http://www.bernd.rickers.de.vu/" TARGET="_blank">Bernd's Homepage</A>
for details). PhpVideoPro was designed using PHP because of the cross-platform
abilities and the added plus of having your information available anywhere at
anytime. 

[title]
Features

[text]
The program allows you to add and change entries as needed. PhpVideoPro can be
configured to display your catalogue at will. You can view your items in a list
containing all of your entries or you can request the program to display a list
of available free space on your homemade video tapes. You can decide to view
details on a specified entry, or display a list of all movies with a certain
actor - just to mention a few examples.
[text]
So you can keep track of what is what and what you're looking to add to your
closet of treasures! The filter functions help to sort through your catalogue
by creating subsets and finding special entries within your ever-growing
collection.
[text]
While you may have enough tapes and DVDs to open up your own version of
Blockbuster, phpVideoPro wasn't designed to cater to video shops. The current
release wasn't made to log multiple copies of the same item. The program does,
however, distinguish between DVDs, original videotapes, and the tapes you
recorded yourself. More to come.

[title]
Future

[text]
New features are planned, and development still goes on. The frequency of new
releases is not very steady and probably won't ever be - since "it's only a
hobby", and there are so many others that require my presence :) But as long as
I have not added all the features <b>I</b> need (see doc/2do), you can be sure
that there will always be a fresh release available within the next few weeks!
So I close with my standard disclaimer: "This is only a hobby, I can't promise
anything - I just ask you to stay tuned..."
[text]
<div align=right>Itzchak Rehberg, September 2001</div>

[eof]

